package ink.wgink.module.form.enums.design;

/**
 * @Description: 表单字段类型
 * @Author: WenG
 * @Date: 2022/3/8 20:40
 * @Version: 1.0
 **/
public enum FormFieldTypeEnum {

    INPUT("input", "单行文本"),
    PASSWORD("password", "密码框"),
    SELECT("select", "下拉框"),
    SELECT_DICTIONARY("selectDictionary", "下拉框字典"),
    RADIO("radio", "单选组"),
    RADIO_DICTIONARY("radioDictionary", "单选字典"),
    CHECKBOX("checkbox", "复选组"),
    CHECKBOX_DICTIONARY("checkboxDictionary", "复选字典"),
    SWITCH("switch", "开关"),
    SLIDER("slider", "滑块"),
    NUMBER_INPUT("numberInput", "数字输入框"),
    LABEL_GENERATION("labelGeneration", "标签组件"),
    BOTTOM("bottom", "按钮组件"),
    SIGN("sign", "签名组件"),
    ICON_PICKER("iconPicker", "图标选择器"),
    CRON("cron", "Cron表达式"),
    DATE("date", "日期"),
    RATE("rate", "评分"),
    CAROUSEL("carousel", "轮播图"),
    UPLOAD_IMAGE("uploadImage", "上传图片"),
    UPLOAD_FILE("uploadFile", "上传文件"),
    UPLOAD_VIDEO("uploadVideo", "上传视频"),
    UPLOAD_AUDIO("uploadAudio", "上传音频"),
    TEXTAREA("textarea", "多行文本"),
    EDITOR("editor", "编辑器"),
    GRID("grid", "布局网格"),
    DOC_NO("docno", "文号");

    private String type;
    private String label;

    FormFieldTypeEnum(String type, String label) {
        this.type = type;
        this.label = label;
    }

    public String getType() {
        return type;
    }

    public String getLabel() {
        return label;
    }
}
